:root {
/*? Colores */
--gradient_background: radial-gradient(45.05% 20% at 98% 5%, #3a09ffc6 0%, rgba(255, 255, 255, 0) 80%), linear-gradient(150deg, #76f3ff 5%, #3232fff5 95%);
--white: #fff;
--black: #000;
--dark_blue: #002023;
--medium_blue: #0707b7d6;
--light_red: #fc4680;
--dark_yellow: #ffc57d;
--light_yellow: #ffffcc;
--hightlight: #ff6e9e;
/*? Fuentes */
--textFont: 'Barlow', sans-serif;
--secondFont: 'Montserrat', sans-serif;
--boldFont: 'Poppins', sans-serif;
--titulo1: bold 84px/103.70px var(--boldFont);
--titulo2: bold 34px/36px var(--secondFont);
--titulo3: bold 24px/8px var(--secondFont);
--titulo4: bold 17px/28px var(--secondFont);
--parrafo1: normal 18px/28px var(--textFont);
--parrafo2: normal 16px/28px var(--secondFont);
--form_button: bold 16px/22px var(--boldFont);
} 
::selection {
  background-color: var(--hightlight);
}
::-moz-selection {
  background-color: var(--hightlight);
}
/*! General */
body {
  background: var(--gradient_background);
  min-block-size: 100vh;
  font-family: verdana;
  margin: 0;
  padding: 0;
  color: var(--white);
  overflow-x: hidden;
}
#wrapper {
  max-inline-size: 1200px;
  padding-inline-start: 16px;
  padding-inline-end: 16px;
  margin: auto;
}
html {
  scroll-behavior: smooth;
}
/*! Botones */
.main_button {
  position: relative;
  display: inline-block;
  padding: 15px 30px;
  background-color: none;
  border: 3px solid var(--dark_blue);
  border-radius: 10px;
  font-size: 1.6rem;
  font-weight: bold;
  text-transform: capitalize;
  box-shadow: -8px -8px 0px var(--dark_blue);
  text-decoration: none;
  color: var(--dark_blue);
  letter-spacing: 2px;
  overflow: hidden;
  transition: 0.5s;
  font-family: var(--boldFont);
}
.games_button {
  position: relative;
  display: inline-block;
  font-weight: bold;
  transform: capitalize;
  padding: 16px 35px;
  text-decoration: none;
  overflow: hidden;
  transition: .7s;
  font-size: 1.15rem;
  color: var(--dark_blue);
  margin-block-start: 10px;
  letter-spacing: 1.5px;
}
/*! Botones hover */
.main_button:hover {
  background-color: var(--light_red);
  box-shadow: 10px 10px 0px 0px var(--black);
  color: var(--white);
  border: 3px solid white;
  padding-block-end: 24px;
  
}
.games_button:hover {
  background: var(--hightlight);
  box-shadow: 0px 0px 20px var(--light_red), 0 0 40px var(--light_red), 0 0 50px var(--light_red);
  transition-delay: 0.3s;
  color: var(--light_yellow)
}
/** Menu de Navegacion PC */
#header {
  z-index: 1;
  position: sticky;
  top: 0;
  backdrop-filter: blur(15px);
  z-index: 2; 
}
#header-content {
  display: flex;
  justify-content: space-between;
  align-items: right;
  block-size: 100px;
}
#nav-menu {
  margin-top: 20px;
}
#nav-menu ul  {
  display: flex;
  list-style: none;
  gap: 50px;
}
#nav-menu ul li {
  animation-name: opening;
  animation-duration: 1.6s;
  animation-timing-function: ease-in-out;
}
#nav-menu ul a {
  font-family: var(--boldFont);
  font-size: 1.1rem;
  text-decoration: none;
  text-transform: uppercase;
  color: var(--white);
  transition: all 0.7s;
}
#nav-menu ul a:hover{
  color: var(--dark_blue);
  font-weight: bold;
  text-decoration: underline;
}
.logo {
  margin-left: 1.2rem;
  margin-top: 0.3rem;
  width: 92px;
  animation-name: opening;
  animation-duration: 1.6s;
  animation-timing-function: ease-in-out;
  border-radius: 50%;
}
/** Menu de Navegacion Mobile  */
.menu-mobile {
  display: none;

}
#hamburger-button svg{
  margin-inline-end: 1.1rem;
}
.menu-mobile a:hover svg {
  fill: var(--dark_blue);
}
.menu-mobile .header-menu {
  display: flex;
  width: 100%;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  align-content: center;
}
.menu-mobile .header-menu .logo-menu {
  flex-grow: 2;
  text-align: center;
}
.menu-mobile .header-menu .logo-menu img {
  width: 220px;
}
#menu-mobile-items ul {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
}
#menu-mobile-items ul li {
  text-align:center;
  list-style: none;
}
#menu-mobile-items ul li a {
  padding: 20px 0;
  display: inline-block;
  text-decoration: none;
  color: #000;
  font-size: 1.1rem;
  font-family: var(--secondFont);
  transition: all 0.7s;
}
#menu-mobile-items ul li a:hover {
  color: var(--white);
  font-weight: bold;
}
/*? Menu Cerrado */
.menu-mobile-close {
  display: none;

}
@media (max-width: 846px) {
  #header {
    display: none;
  }
  .menu-mobile {
    display: block;
    z-index: 2;
    position: relative;
    backdrop-filter: blur(15px);
  }
}
/** Portada Principal (Cover) */
.cover {
  z-index: 1;
  display: flex;
  align-items: center;
}
.content {
  max-width: 40rem;
  padding-left: 1rem;
  padding-right: 1rem;
  margin: auto;
  display: flex;
  z-index: 1;
}
.main_video {
  z-index: 1;
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
}
.main_video video {
  z-index: 1;
  max-width: 100%;
  max-height:100%;
}
@media (max-width: 846px) {
  .main_video {
    margin-block-start: 120px;
  }
  .games_gallery:first-of-type {
    margin-block-start: -100px;
  }
}
/** Games */
.title-resumes {
  font: var(--titulo2)!important;
  display: inline;
  align-self: flex-end;
  background: var(--dark_blue);
  color: var(--white);
  padding-block-start: 6px;
  padding-block-end: 6px;
  padding-inline-start: 20px;
  padding-inline-end: 2px;
  padding-block-end: 14px;
  box-shadow: -8px 8px 0 var(--light_red);
  text-decoration: none;
}
.games_gallery:first-of-type {
  margin-block-start: 900px;
}
.games_gallery {
  margin-block-end: 50px;
}
.game_section {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}
.game_content {
  margin-block-start: 24px;
  text-align: center;
}
.game_content h3 {
  margin-block-start: 60px;
  font: var(--titulo3);
}
.img_game {
  display: block;
  margin: 0 auto;
  max-block-size: 270px;
  margin-block-end: 14px;
  margin-block-start: 24px;
  border-radius: 12px;
}
/*? Games Responsive */
@media (max-width: 978px) {
  .games_gallery:first-of-type {
    margin-block-start: 500px;
  }    
}
@media (max-width: 800px) {
  .game_section {
    flex-direction: column;
  }
  
  .img_game {
    max-block-size: 240px;
  }
}
/** Footer */
.footer_content {
  color: var(--white);
  text-align: center;
  font: var(--parrafo1);
}
.footer_social {
  display: flex;
  gap: 10px;
  text-align: center;
}
.footer .footer_social {
  justify-content: center;
  padding: 0;
  margin-block-start: 25px;
}
.footer_logo {
  display: none;
}
.button_icon {
  padding: 10px;
  border-radius: 8px;
  border: 2px solid var(--dark_blue);
  background: var(--white);
  text-decoration: none;
  display: inline-block;
  margin-inline-end: 10px;
}
.button_img {
  width: 24px;
}
/*? Footer Responsive */
@media screen and (min-width: 825px) {
  .footer_content {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .footer_logo {
    display: block;
  }
  .footer .footer_social {
    order: 3;
    margin: 0;
    padding: 0;
    text-align: center;
  }
}
@media screen and (min-width: 1024px) {
  .footer_copyright {
    display: flex;
    gap: 6px;
  }
  .footer {
    margin-block-start: 40px;
    margin-block-end: 40px;

  }
}
/** Personalizacion de Barra de Navegacion */
::-webkit-scrollbar {
  width: 15px;
}
::-webkit-scrollbar-track {
  border-radius: 0px;
background: var(--white);
}
::-webkit-scrollbar-thumb {
  border-radius: 80px;
  background: var(--dark_blue);
}
